# 32/64bit spec-file
#
Summary: Devanagari TTF font(s)
Name: fonts-ttf-devanagari
Version: 1.1
Release: %mkrel 4
License: Free use and distribution
Group: System/Fonts/True type
Source0: raghu.ttf.bz2
Source1: AksharYogini.ttf.bz2
Source2: chandas1-2.ttf.bz2
Source3: Gargi_1.7.ttf.bz2
Source4: kalimati.ttf.bz2
Source5: lohit_hi.ttf.bz2
Source6: nakula.ttf.bz2
Source7: sahadeva.ttf.bz2
Source8: samanata.ttf.bz2
BuildArch:	noarch
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	freetype-tools
Requires(post): fontconfig
Requires(postun): fontconfig

%description
This package contains fonts for the devanagari script.

%prep
#%setup -c 

rm -rf %{name}-%{version}
mkdir %{name}-%{version}
cd %{name}-%{version}

%build
cd %{name}-%{version}
bzcat %{SOURCE0} > raghu.ttf
bzcat %{SOURCE1} > AksharYogini.ttf
bzcat %{SOURCE2} > chandas1-2.ttf
bzcat %{SOURCE3} > Gargi_1.7.ttf
bzcat %{SOURCE4} > kalimati.ttf
bzcat %{SOURCE5} > lohit_hi.ttf
bzcat %{SOURCE6} > nakula.ttf
bzcat %{SOURCE7} > sahadeva.ttf
bzcat %{SOURCE8} > samanata.ttf




%install
cd %{name}-%{version}
rm -rf %buildroot
install -d %buildroot/%_datadir/fonts/TTF/devanagari

for i in `find . -name "*.ttf"` ; do
install -m 644 $i %buildroot/%_datadir/fonts/TTF/devanagari
done

%post
touch %{_datadir}/fonts/TTF
[ -x %_bindir/fc-cache ] && %{_bindir}/fc-cache 

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
  [ -x %_bindir/fc-cache ] && %{_bindir}/fc-cache 
fi

%clean
rm -fr %buildroot

%files
%defattr(0644,root,root,0755)
#%doc %{name}-%{version}/README*
%dir %_datadir/fonts/TTF/
%dir %_datadir/fonts/TTF/devanagari
%_datadir/fonts/TTF/devanagari/*.ttf




%changelog
* Sun Feb 03 2013 pinoc <vogtpet at gmail.com> 1.1-4pclos2013
- rebuild on 64

* Mon Mar 08 2010 Texstar <texstar at gmail.com> 1.1-3pclos2010
- rebuild

* Wed Sep 23 2009 pcserver <pcserver at hushmail.com>
- update & rebuild

* Sun Sep 02 2007 Patred TheKnight <edupclos@gmail.com> 1.1-1pclos
- Rebuild for PCLinuxOS
- Added 8 more fonts

* Wed Jan 17 2007 Pablo Saratxaga <pablo@mandriva.com> 1.0-1mdv2007.0
+ Revision: 109837
- initial rpm package
- Create fonts-ttf-devanagari

